Package twisted :: Package web :: Module xmlrpc :: Class QueryFactory

[show private | hide private]
[frames | no frames]

## Class QueryFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   QueryFactory

Method Summary
| `__init__(self, url, host, method, *args)`
| `badStatus(self, status, message)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol. (inherited from `Factory`)
| `clientConnectionFailed(self, _, reason)`
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed. (inherited from `ClientFactory`)
| `clientConnectionLost(self, _, reason)`
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| `parseResponse(self, contents)`
| ``startedConnecting`(self, connector)` Called when a connection has been started. (inherited from `ClientFactory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`NoneType` | `deferred`
`class` | `QueryProtocol`

Class Variable Details

### deferred

  Type:
    `NoneType`
  Value:

        None

### QueryProtocol

`QueryProtocol` = `twisted.web.xmlrpc.QueryProtocol`

Generated by Epydoc 1.1 on Thu May 8 13:19:20 2003 | http://epydoc.sf.net